{
  "name": "mon-app",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "get-version": "echo $npm_package_version",
    "build-ci": "ng build --prod --progress=false --output-path=dist",
    "test-ci": "jest --coverage --silent",
    "test-ci-without-coverage": "jest --silent",
    "lint": "ng lint",
    "e2e": "ng e2e",
    "sonar-scanner": "node_modules/sonarqube-scanner/dist/bin/sonar-scanner"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "~9.0.1",
    "@angular/common": "~9.0.1",
    "@angular/compiler": "~9.0.1",
    "@angular/core": "~9.0.1",
    "@angular/forms": "~9.0.1",
    "@angular/platform-browser": "~9.0.1",
    "@angular/platform-browser-dynamic": "~9.0.1",
    "@angular/router": "~9.0.1",
    "@types/jest": "^25.2.2",
    "jest": "25.5.4",
    "jest-preset-angular": "^8.2.0",
    "rxjs": "~6.5.4",
    "tslib": "^1.10.0",
    "zone.js": "~0.10.2"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "~0.900.2",
    "@angular/cli": "~9.0.2",
    "@angular/compiler-cli": "~9.0.1",
    "@angular/language-service": "~9.0.1",
    "@types/node": "^12.11.1",
    "codelyzer": "^5.1.2",
    "protractor": "~5.4.3",
    "sonarqube-scanner": "^2.5.0",
    "ts-node": "~8.3.0",
    "tslint": "~5.18.0",
    "typescript": "~3.7.5"
  },
  "jest": {
    "preset": "jest-preset-angular",
    "coverageDirectory": "<rootDir>/coverage",
    "collectCoverageFrom": [
      "**/*.ts",
      "!**/node_modules/**",
      "!**/vendor/**"
    ],
    "setupFilesAfterEnv": [
      "<rootDir>/setupJest.ts"
    ]
  }
}
